mscorlib 2.0.0.0 4.0.0.0 System.Object

This class is primarily used by the class. The method returns an array of this type.

This class is intended to provide minimal information about an encoding. To obtain additional information, the application should use the method to get an instance of the class, which contains more comprehensive information about the encoding it represents.

Provides basic information about an encoding.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  This member is equivalent to .

  Gets the code page identifier of the encoding.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property defines a display name that is the same as the name represented by the property. Your applications should use for a name to pass to .

  Gets the human-readable description of the encoding.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Two objects are equal if their properties are equal.

  Gets a value indicating whether the specified object is equal to the current object.

  true if is a object and is equal to the current object; otherwise, false.

  An object to compare to the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Text.Encoding To be added.

  Returns a object that corresponds to the current object.

  A object that corresponds to the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  The value returned by the method is not suitable for distinguishing one object from another. If your application needs a unique hash code, it should override the method.

  Returns the hash code for the current object.

  A 32-bit signed integer hash code.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property defines the name that is appropriate for passing to . This name is the same as the name represented by the property. When its value is the name of a standard, the actual implementation of the encoding may not conform in full to that standard. Your applications should use for a human-readable name.

  The method gets a complete list of supported encodings, uniquely distinguished by code page. If your application retrieves encodings using the property, note that some duplicate encodings are retrieved. For more about handling these duplicates, see the description of .

  Gets the name registered with the Internet Assigned Numbers Authority (IANA) for the encoding.